@testset "Treesitter" begin
  doc = test_pandoc("""
Here's a YAML codeblock:

```yaml
name: panvimdoc
on: [push]
jobs:
  docs:
    runs-on: ubuntu-latest
    name: pandoc to vimdoc
    steps:
      - uses: actions/checkout@v2
```
        """)
  @test doc == """
*test.txt*                                                    Test Description

==============================================================================
Table of Contents                                     *test-table-of-contents*

Here’s a YAML codeblock:

>yaml
    name: panvimdoc
    on: [push]
    jobs:
      docs:
        runs-on: ubuntu-latest
        name: pandoc to vimdoc
        steps:
          - uses: actions/checkout@v2
<

Generated by panvimdoc <https://github.com/kdheepak/panvimdoc>

vim:tw=78:ts=8:noet:ft=help:norl:
"""

  doc = test_pandoc(
    """
Here's a YAML codeblock:

```yaml
name: panvimdoc
on: [push]
jobs:
  docs:
    runs-on: ubuntu-latest
    name: pandoc to vimdoc
    steps:
      - uses: actions/checkout@v2
```
        """;
    treesitter = false,
  )
  @test doc == """
*test.txt*                                                    Test Description

==============================================================================
Table of Contents                                     *test-table-of-contents*

Here’s a YAML codeblock:

>
    name: panvimdoc
    on: [push]
    jobs:
      docs:
        runs-on: ubuntu-latest
        name: pandoc to vimdoc
        steps:
          - uses: actions/checkout@v2
<

Generated by panvimdoc <https://github.com/kdheepak/panvimdoc>

vim:tw=78:ts=8:noet:ft=help:norl:
"""
end
